> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gank.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# sniper api

> token sniping endpoints

# sniper api

snipe tokens as soon as they launch. uses `snipe` type wallets.

## config

```
PATCH /sniper/config
```

update your sniper configuration (slippage, amount, etc).

## watchlist

### add

```
POST /sniper/watchlist
```

<ParamField body="token_mint" type="string" required>
  token to watch
</ParamField>

<ParamField body="amount_sol" type="number" required>
  sol to spend when sniping
</ParamField>

<ParamField body="wallet_address" type="string" required>
  `snipe` type wallet
</ParamField>

### remove

```
DELETE /sniper/watchlist
```

<ParamField body="token_mint" type="string" required>
  token to remove
</ParamField>

## execute snipe

```
POST /sniper/execute
```

manually execute a snipe on a token.

<ParamField body="token_mint" type="string" required>
  target token
</ParamField>

<ParamField body="wallet_address" type="string" required>
  `snipe` type wallet
</ParamField>

<ParamField body="amount_sol" type="number" required>
  sol to spend
</ParamField>

<ParamField body="slippage_bps" type="number" default="500">
  slippage tolerance
</ParamField>
